Subject: ECT Legal Consolidation Financials
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 14 Mar 2000 01:03:00 -0800 (PST)

Tana:

Last year Edie Leschber prepared the Legal Consolidation Financial Statements 
and Footnotes for submission to NYMEX.  This year I will be doing that job.  
If you are still handling this, I would like to find out the due date.  If 
you are not, will you please direct me to the appropriate individual?

Thanks

Trey Hardy
5-7172